import React, { CSSProperties } from "react";
import './css.less';
interface ICopyable {
    alwaysShow?: boolean;
    onCopy?: () => void;
}
export interface BigTextComponentProps {
    /** 展示的文案 */
    text?: string | number;
    /** 折叠面板宽度 */
    width?: string | number;
    /** 折叠面板高度 */
    height?: string | number;
    /** Tooltip 位置 */
    theme: 'top' | 'left' | 'right' | 'bottom' | 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight' | 'leftTop' | 'leftBottom' | 'rightTop' | 'rightBottom';
    className?: string | number;
    showMore?: () => boolean;
    type?: 'ignore' | 'more';
    copyable?: boolean | ICopyable;
    style?: CSSProperties;
    tooltip?: any;
}
export default class BigText extends React.Component<BigTextComponentProps> {
    static defaultProps: {
        copyable: boolean;
        type: string;
    };
    className: string;
    copy: () => void;
    renderContent(): JSX.Element;
    render(): JSX.Element;
}
export {};
