import React from 'react';
import './index.css';
export interface EchartBarComponentProps {
    /** 曲线图标题 */
    title: string;
    /** 标题分组栏，['分组1', '分组2', '分组3', '分组4']格式数据 */
    legend: string | number | [];
    /** x轴数据, ['test1', 'test2', 'test3','test4']格式数据*/
    xdata: string | number | [];
    /** y轴数据,[{ name: 'test', type: "bar", data: [1,2]},..]格式数据 */
    ydata?: string | number | [];
    /** y轴参数,[{ type: 'value', name: "Evaporation",..]格式数据,详情参考echart*/
    yparams?: string | number | [];
    /** y轴坐标处理函数 */
    yFunc?: (newValue: any) => void;
    /** y轴单位 */
    yTitle: string;
    /** 底部缩放工具展示 */
    showDataZoom: boolean;
}
declare const EchartLineComponent: React.FC<EchartBarComponentProps>;
export default EchartLineComponent;
