import './index.css';
import * as monaco from 'monaco-editor/esm/vs/editor/editor.api';
import * as React from 'react';
export interface EditorComponentProps {
    /** 编辑器的宽度，默认为 100%. */
    width?: string;
    /** 编辑器的高度，默认为 500. */
    height?: string;
    /** 编辑器里的值 */
    value?: string;
    /** 编辑器里的默认值 */
    defaultValue?: string;
    /** 编辑器里应用的初始语言 默认powershell */
    language?: string;
    /** option. 参考链接：https://microsoft.github.io/monaco-editor/api/interfaces/monaco.editor.IStandaloneEditorConstructionOptions.html */
    options?: any;
    /** 略 */
    overrideServices?: any;
    /** 主题， 默认 vs-dark */
    theme?: string;
    /** 主题 */
    className?: string;
    /** 编辑器里的内容改变时触发 */
    onChange?: (newValue: string) => void;
    /** 编辑器里挂载前触发，类似于 componentWillMount of React */
    editorWillMount?: (monaco: any) => void;
    /** 编辑器里挂载后触发，类似于 componentDidMount of React */
    editorDidMount?: (editor: monaco.editor.IStandaloneCodeEditor, monaco: any) => void;
    /** 编辑器里卸载前后触发，类似于 componentWillUnmount of React */
    editorWillUnmount?: (editor: monaco.editor.IStandaloneCodeEditor, monaco: any) => void;
}
export default function EditorComponent(props: EditorComponentProps): React.JSX.Element;
